Create a model access policy - Barndoor Documentation
Create a model access policy
cURL
curl --request POST \
--url https://app.barndoor.ai/api/llm-gateway/admin/model-access \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"scope_type": "<string>",
"targets": [
{
"kind": "model_alias",
"alias": "gpt-4o-mini"
}
],
"scope_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope_value": "<string>",
"traffic_type": "llm"
}
'
Python Code
import requests
url = "https://app.barndoor.ai/api/llm-gateway/admin/model-access"
payload = {
"name": "<string>",
"scope_type": "<string>",
"targets": [
{
"kind": "model_alias",
"alias": "gpt-4o-mini"
}
],
"scope_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope_value": "<string>",
"traffic_type": "llm"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript Code
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
scope_type: '<string>',
targets: [{kind: 'model_alias', alias: 'gpt-4o-mini'}],
scope_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
scope_value: '<string>',
traffic_type: 'llm'
})
};
fetch('https://app.barndoor.ai/api/llm-gateway/admin/model-access', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP Code
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.barndoor.ai/api/llm-gateway/admin/model-access",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'scope_type' => '<string>',
'targets' => [
[
'kind' => 'model_alias',
'alias' => 'gpt-4o-mini'
]
],
'scope_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'scope_value' => '<string>',
'traffic_type' => 'llm'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
?>
Go Code
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.barndoor.ai/api/llm-gateway/admin/model-access"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"scope_type\": \"<string>\",\n \"targets\": [\n {\n \"kind\": \"model_alias\",\n \"alias\": \"gpt-4o-mini\"\n }\n ],\n \"scope_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"scope_value\": \"<string>\",\n \"traffic_type\": \"llm\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Response Examples
Success Response (200)
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"targets": [
{
"kind": "model_alias",
"alias": "gpt-4o-mini"
}
],
"enabled": true,
"scope_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope_value": "<string>"
}
Error Response (400)
{
"error": "BadRequest",
"message": "request_timeout_secs must be between 1 and 3600"
}